package ink.wgink.register.base.pojo.vos;

import io.swagger.annotations.ApiModel;

import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RegisterVO
 * @Description: 注册
 * @Author: WangGeng
 * @Date: 2020/6/2 10:56 下午
 * @Version: 1.0
 **/
@ApiModel
public class RegisterDefaultWithExpandInfoVO extends RegisterDefaultVO {

    private Map<String, Object> expandInfo;

    public Map<String, Object> getExpandInfo() {
        return expandInfo;
    }

    public void setExpandInfo(Map<String, Object> expandInfo) {
        this.expandInfo = expandInfo;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"expandInfo\":")
                .append(expandInfo);
        sb.append('}');
        return sb.toString();
    }
}
